<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Jugador</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="formJugador">
                <h:panelGrid columns="3">
                    <p:outputLabel value="Ingrese nombre"/>
                    <p:inputText value="#{jugadorController.jugador.nombre}" required="true"/>
                    <p:column/>
                    <p:outputLabel value="Seleccione Genero"/>
                    <p:selectOneMenu value="#{jugadorController.genero.idgenero}">
                        <f:selectItems value="#{generoController.lista}" var="genero" itemValue="#{genero.idgenero}" itemLabel="#{genero.genero}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir Genero"  oncomplete="PF('genero').show();" update=":formGenero"/>
                    <p:outputLabel value="Seleccione equipo"/>
                    <p:selectOneMenu value="#{jugadorController.equipo.idequipo}">
                        <f:selectItems value="#{equipoController.lista}" var="equipo" itemValue="#{equipo.idequipo}" itemLabel="#{equipo.pais.pais}"/>
                    </p:selectOneMenu>
                    <p:column/>
                    <p:commandButton rendered="#{jugadorController.jugador.nombre==se}" value="Guardar" actionListener="#{jugadorController.insertar()}" update=":listaJugadores,:formJugador"/>
                    <p:commandButton rendered="#{jugadorController.jugador.nombre!=null}" value="Actualizar" actionListener="#{jugadorController.actualizar()}" update=":listaJugadores,:formJugador"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>

        <p:dialog id="dialoggenero" header="Añadir genero" widgetVar="genero" resizable="false" modal="true">
            <h:form id="formGenero">
                <p:panelGrid columns="2">
                    <p:outputLabel value="Ingrese Genero"/>
                    <p:inputText value="#{generoController.genero.genero}"/>
                    <p:commandButton rendered="#{generoController.genero.genero==null}" value="Guardar" actionListener="#{generoController.insertar()}" update=":listaGeneros,:formGenero,:formJugador"/>
                    <p:commandButton rendered="#{generoController.genero.genero!=null}" value="Actualizar" actionListener="#{generoController.actualizar()}" update=":listaGeneros,:formGenero,:formJugador"/>
                </p:panelGrid>
            </h:form>
            <h:form id="listaGeneros">
                <p:dataTable value="#{generoController.lista}" var="generos" >
                    <p:column headerText="Id" width="80">
                        <p:outputLabel value="#{generos.idgenero}"/>
                    </p:column>
                    <p:column headerText="Genero" width="150">
                        <p:outputLabel value="#{generos.genero}"/>
                    </p:column>
                    <p:column headerText="Acciones" width="200">
                        <p:commandButton value="Eliminar"  actionListener="#{generoController.eliminar(generos)}" update=":listaGeneros"/>
                        <p:commandButton value="Actualizar"  actionListener="#{generoController.consultarById(generos)}" update=":formGenero"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:dialog>
        <br/>
        <br/>
        <p:fieldset legend="Lista de Jugadores">
            <h:form id="listaJugadores">
                <p:dataTable value="#{jugadorController.lista}" var="jugadores" rows="5" paginator="true">
                    <p:column headerText="Id">
                        <p:outputLabel value="#{jugadores.idjugador}"/>
                    </p:column>
                    <p:column headerText="Nombre">
                        <p:outputLabel value="#{jugadores.nombre}"/>
                    </p:column>
                    <p:column headerText="Genero">
                        <p:outputLabel value="#{jugadores.idgenero.genero}"/>
                    </p:column>
                    <p:column headerText="Pais">
                        <p:outputLabel value="#{jugadores.idequipo.pais.pais}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar"  actionListener="#{jugadorController.eliminar(jugadores)}" update=":listaJugadores"/>
                        <p:commandButton value="Actualizar"  actionListener="#{jugadorController.consultarById(jugadores)}" update=":formJugador"/>
                        <p:commandButton value="Añadir Nacionalidad"  action="#{jugadorController.nacion(jugadores)}" update=":formJugador"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>
